// Copyright (C) 2012-2013 Jolla Ltd.
// Contact: Pekka Vuorela <pekka.vuorela@jollamobile.com>
// LV-qwerty keyboard modified from Jolla's EN keyboard. Contact <ajaunteva@gmail.com>

import QtQuick 2.0
import ".."

KeyboardLayout {
    KeyboardRow {
        CharacterKey { caption: "q"; captionShifted: "Q"; symView: "1"; symView2: "€" }
        CharacterKey { caption: "w"; captionShifted: "W"; symView: "2"; symView2: "£" }
        AccentedCharacterKey { caption: "e"; captionShifted: "E"; symView: "3"; symView2: "$"; accents: "eėę"; accentsShifted: "EĖĘ"; deadKeyAccents: "´ėę"; 
deadKeyAccentsShifted: "´ĖĘ" }
        CharacterKey { caption: "r"; captionShifted: "R"; symView: "4"; symView2: "¥" }
        CharacterKey { caption: "t"; captionShifted: "T"; symView: "5"; symView2: "₹"; accents: "t"; accentsShifted: "T" }
        CharacterKey { caption: "y"; captionShifted: "Y"; symView: "6"; symView2: "%"; accents: "y"; accentsShifted: "Y" }
        AccentedCharacterKey { caption: "u"; captionShifted: "U"; symView: "7"; symView2: "<"; accents: "uūų"; accentsShifted: "UŪŲ"; deadKeyAccents: "´ūų"; 
deadKeyAccentsShifted: "´ŪŲ"  }
        AccentedCharacterKey { caption: "i"; captionShifted: "I"; symView: "8"; symView2: ">"; accents: "iį"; accentsShifted: "IĮ"; deadKeyAccents: "´į"; 
deadKeyAccentsShifted: "´Į"  }
        CharacterKey { caption: "o"; captionShifted: "O"; symView: "9"; symView2: "["; }
        CharacterKey { caption: "p"; captionShifted: "P"; symView: "0"; symView2: "]" }
    }

    KeyboardRow {
        AccentedCharacterKey { caption: "a"; captionShifted: "A"; symView: "*"; symView2: "`"; accents: "aą"; accentsShifted: "AĄ"; deadKeyAccents: "´ą"; 
deadKeyAccentsShifted: "´Ą" }
        AccentedCharacterKey { caption: "s"; captionShifted: "S"; symView: "#"; symView2: "^"; accents: "sš"; accentsShifted: "SŠ"; deadKeyAccents: "´š"; 
deadKeyAccentsShifted: "´Š"  }
        CharacterKey { caption: "d"; captionShifted: "D"; symView: "+"; symView2: "|"; accents: "d"; accentsShifted: "D" }
        CharacterKey { caption: "f"; captionShifted: "F"; symView: "-"; symView2: "_" }
        CharacterKey { caption: "g"; captionShifted: "G"; symView: "="; symView2: "§"; }
        CharacterKey { caption: "h"; captionShifted: "H"; symView: "("; symView2: "{" }
        CharacterKey { caption: "j"; captionShifted: "J"; symView: ")"; symView2: "}" }
        CharacterKey { caption: "k"; captionShifted: "K"; symView: "!"; symView2: "¡"; }
        CharacterKey { caption: "l"; captionShifted: "L"; symView: "?"; symView2: "¿"; }
	    DeadKey { caption: "´"; captionShifted: "´"; fixedWidth: false; separator: false }
    }

    KeyboardRow {
        ShiftKey {}

        AccentedCharacterKey { caption: "z"; captionShifted: "Z"; symView: "@"; symView2: "«"; accents: "zž"; accentsShifted: "ZŽ"; deadKeyAccents: "´ž"; 
deadKeyAccentsShifted: "´Ž"  }
        CharacterKey { caption: "x"; captionShifted: "X"; symView: "&"; symView2: "»" }
        AccentedCharacterKey { caption: "c"; captionShifted: "C"; symView: "/"; symView2: "\""; accents: "cč"; accentsShifted: "CČ"; deadKeyAccents: "´č"; 
deadKeyAccentsShifted: "´Č"  }
        CharacterKey { caption: "v"; captionShifted: "V"; symView: "\\"; symView2: "“" }
        CharacterKey { caption: "b"; captionShifted: "B"; symView: "'"; symView2: "”" }
        CharacterKey { caption: "n"; captionShifted: "N"; symView: ";"; symView2: "„"; }
        CharacterKey { caption: "m"; captionShifted: "M"; symView: ":"; symView2: "~" }

        BackspaceKey {}
    }

    SpacebarRow {}
}
